Package: groovy.jmx.builder

## [Groovy] Class JmxBeanExportFactory

- groovy.jmx.builder.JmxBeanExportFactory

- This factory returns a container node for all other nodes that are used to collect meta data for resources that are exported to the MBeanServer for management.

  Supported syntax:

       def jmx = new JmxBuilder()
       jmx.export(registrationPolicy:"replace|ignore|error") {
           bean(...)
       }

  registrationPolicy indicates how resources will be registered: "replace" - replaces existing bean,
  "ignore" - ignores the registration request if bean already exists.
  "error" - throws error if bean is already registered.

  Authors:
    vladimir vivien

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `registrationPolicy`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### def registrationPolicy

  - ### Method Detail

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)